import React from 'react';
import purebem from 'purebem';
import { pgettext } from '@billogram/lang';
import './FoundationFormFieldError.scss';
export default function FoundationFormFieldError(_ref) {
  var _ref$errors = _ref.errors,
      errors = _ref$errors === void 0 ? [] : _ref$errors;

  if (errors.length === 0) {
    return null;
  }

  var block = purebem('foundation-form-field-error');
  return React.createElement("ul", {
    className: block()
  }, [].map.call(errors, function (error, index) {
    return React.createElement("li", {
      className: block('item'),
      key: index
    }, pgettext(error[0], error[1]));
  }));
}
//# sourceMappingURL=FoundationFormFieldError.js.map