import _slicedToArray from "@babel/runtime/helpers/slicedToArray";
import React from 'react';
import purebem from 'purebem';
import { pgettext } from '@billogram/lang';
import FoundationErrorList from './FoundationErrorList';
import './FoundationFormFieldErrorSummary.scss';

function getErrorItems(errors, context, formatKey) {
  // legacy-legacy
  if (typeof errors === 'string') {
    return [errors];
  }

  return Object.entries(errors).map(function (_ref) {
    var _ref2 = _slicedToArray(_ref, 2),
        key = _ref2[0],
        array = _ref2[1];

    if (array.length === 0) {
      return null;
    } // legacy


    if (typeof array[0] === 'string') {
      return "".concat(pgettext('form field error field', key), ": ").concat(pgettext('action-form-errors', array.join('; ')));
    } // context


    var tuples = array;
    var values = tuples.map(function (tuple) {
      return pgettext(tuple[0], tuple[1]);
    });
    return "".concat(formatKey(context, key), ": ").concat(values.join('; '));
  }).filter(function (error) {
    return error !== null;
  });
}

export default function FoundationFormFieldErrorSummary(_ref3) {
  var context = _ref3.context,
      _ref3$errors = _ref3.errors,
      errors = _ref3$errors === void 0 ? {} : _ref3$errors,
      _ref3$formatKey = _ref3.formatKey,
      formatKey = _ref3$formatKey === void 0 ? function (context, key) {
    var ctx = key === '__all__' ? 'generic-error-field' : context;
    return pgettext(ctx, key);
  } : _ref3$formatKey;
  var items = getErrorItems(errors, context, formatKey);

  if (items.length === 0) {
    return null;
  }

  var block = purebem('foundation-form-field-error-summary');
  return React.createElement("div", {
    className: block()
  }, React.createElement(FoundationErrorList, {
    errors: items
  }));
}
//# sourceMappingURL=FoundationFormFieldErrorSummary.js.map